Module java.rmi
Package java.rmi

# Class NotBoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.rmi.NotBoundException

All Implemented Interfaces:
  `Serializable`

public class NotBoundException extends Exception
A `NotBoundException` is thrown if an attempt is made to lookup or unbind in the registry a name that has no associated binding.

Since:
  1.1
See Also:
  - `Naming.lookup(String)`
  - `Naming.unbind(String)`
  - `Registry.lookup(String)`
  - `Registry.unbind(String)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NotBoundException()`
Constructs a `NotBoundException` with no specified detail message.
`NotBoundException(String s)`
Constructs a `NotBoundException` with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NotBoundException

public NotBoundException()
Constructs a `NotBoundException` with no specified detail message.

Since:
  1.1

### NotBoundException

public NotBoundException(String s)
Constructs a `NotBoundException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  1.1